Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class ExtBasicSpinnerLayout

    java.lang.Object
      com.jgoodies.looks.common.ExtBasicSpinnerLayout

All Implemented Interfaces:
  LayoutManager

    public final class ExtBasicSpinnerLayout

extends Object
implements LayoutManager

A simple layout manager for the editor and the next/previous buttons. See the BasicSpinnerUI javadoc for more information about exactly how the components are arranged.

Version:
  $Revision: 1.3 $
Author:
  Karsten Lentzsch

Constructor Summary
`ExtBasicSpinnerLayout()`

Method Summary
`void` | `addLayoutComponent(String name, Component c)`
`void` | `layoutContainer(Container parent)`
`Dimension` | `minimumLayoutSize(Container parent)`
`Dimension` | `preferredLayoutSize(Container parent)`
`void` | `removeLayoutComponent(Component c)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtBasicSpinnerLayout

    public ExtBasicSpinnerLayout()

Method Detail

### addLayoutComponent

    public void addLayoutComponent(String name,
                                   Component c)

  Specified by:
    `addLayoutComponent` in interface `LayoutManager`

### removeLayoutComponent

    public void removeLayoutComponent(Component c)

  Specified by:
    `removeLayoutComponent` in interface `LayoutManager`

### preferredLayoutSize

    public Dimension preferredLayoutSize(Container parent)

  Specified by:
    `preferredLayoutSize` in interface `LayoutManager`

### minimumLayoutSize

    public Dimension minimumLayoutSize(Container parent)

  Specified by:
    `minimumLayoutSize` in interface `LayoutManager`

### layoutContainer

    public void layoutContainer(Container parent)

  Specified by:
    `layoutContainer` in interface `LayoutManager`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 JGoodies Karsten Lentzsch. All Rights Reserved.